org.apache.tools.ant.taskdefs

## Class XSLTProcess.Factory

- java.lang.Object
- - org.apache.tools.ant.taskdefs.XSLTProcess.Factory

- Enclosing class:
    XSLTProcess

      public static class XSLTProcess.Factory
      extends java.lang.Object

  The factory element to configure a transformer factory
  Since:
    Ant 1.6

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XSLTProcess.Factory.Attribute` A JAXP factory attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTProcess.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(XSLTProcess.Factory.Attribute attr)` Create an instance of a factory attribute.
    `java.util.Enumeration` | `getAttributes()` return the attribute elements.
    `java.lang.String` | `getName()`
    `void` | `setName(java.lang.String name)` Set the name of the factory

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTProcess.Factory

          public XSLTProcess.Factory()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the factory.

    - #### setName

          public void setName(java.lang.String name)

      Set the name of the factory
      Parameters:
        `name` - the name of the factory.

    - #### addAttribute

          public void addAttribute(XSLTProcess.Factory.Attribute attr)

      Create an instance of a factory attribute.
      Parameters:
        `attr` - the newly created factory attribute

    - #### getAttributes

          public java.util.Enumeration getAttributes()

      return the attribute elements.
      Returns:
        the enumeration of attributes